org.wildfly.swarm.config.elytron

## Class ConstantPrincipalTransformer<T extends ConstantPrincipalTransformer<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.ConstantPrincipalTransformer<T>

-     public class ConstantPrincipalTransformer<T extends ConstantPrincipalTransformer<T>>
      extends Object

  A principal transformer definition for a PrincipalTransformer that always returns the same constant.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantPrincipalTransformer(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `constant()` The constant value this PrincipalTransformer will always return.
    `T` | `constant(String value)` The constant value this PrincipalTransformer will always return.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantPrincipalTransformer

          public ConstantPrincipalTransformer(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### constant

          public String constant()

      The constant value this PrincipalTransformer will always return.

    - #### constant

          public T constant(String value)

      The constant value this PrincipalTransformer will always return.

Copyright © 2018 JBoss by Red Hat. All rights reserved.